Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision d4bb63905b217f1f82abd2d7306323418c3495c3)
+++ sansview/perspectives/fitting/basepage.py	(revision 3a37fe012dd867e2e9b7f476895d65c97fc3bc6b)
@@ -95,19 +95,19 @@
         ## Create context menu for page
         self.popUpMenu = wx.Menu()
-        id = wx.NewId()
-        self._undo = wx.MenuItem(self.popUpMenu,id, "Undo","cancel the previous action")
-        self.popUpMenu.AppendItem(self._undo)
-        self._undo.Enable(False)
-        wx.EVT_MENU(self, id, self.onUndo)
-        
-        id = wx.NewId()
-        self._redo = wx.MenuItem(self.popUpMenu,id,"Redo"," Restore the previous action")
-        self.popUpMenu.AppendItem(self._redo)
-        self._redo.Enable(False)
-        wx.EVT_MENU(self, id, self.onRedo)       
-        self.popUpMenu.AppendSeparator()
+        #id = wx.NewId()
+        #self._undo = wx.MenuItem(self.popUpMenu,id, "Undo","cancel the previous action")
+        #self.popUpMenu.AppendItem(self._undo)
+        #self._undo.Enable(False)
+        #wx.EVT_MENU(self, id, self.onUndo)
+        
+        #id = wx.NewId()
+        #self._redo = wx.MenuItem(self.popUpMenu,id,"Redo"," Restore the previous action")
+        #self.popUpMenu.AppendItem(self._redo)
+        #self._redo.Enable(False)
+        #wx.EVT_MENU(self, id, self.onRedo)       
+        #self.popUpMenu.AppendSeparator()
                 
         id = wx.NewId()
-        self._keep = wx.MenuItem(self.popUpMenu,id,"Keep"," Keep the panel status to recall it later")
+        self._keep = wx.MenuItem(self.popUpMenu,id,"Bookmark"," Keep the panel status to recall it later")
         self.popUpMenu.AppendItem(self._keep)
         self._keep.Enable(True)
@@ -641,5 +641,5 @@
         """
         if state ==None:
-            self._undo.Enable(False)
+            #self._undo.Enable(False)
             return 
        
@@ -806,5 +806,5 @@
         self.state.formfactorbox = self.formfactorbox.GetCurrentSelection()
         
-        self._undo.Enable(True)
+        #self._undo.Enable(True)
         ## post state to fit panel
         event = PageInfoEvent(page = self)
@@ -828,5 +828,5 @@
              use : _check_value_enter 
         """
-        self._undo.Enable(True)
+        #self._undo.Enable(True)
         if self.model !=None:
             
@@ -1315,5 +1315,5 @@
         self.save_current_state()
         if event !=None:
-            self._undo.Enable(True)
+            #self._undo.Enable(True)
             event = PageInfoEvent(page = self)
             wx.PostEvent(self.parent, event)
@@ -1431,5 +1431,5 @@
         self.save_current_state()
         if event !=None:
-            self._undo.Enable(True)
+            #self._undo.Enable(True)
             event = PageInfoEvent(page = self)
             wx.PostEvent(self.parent, event)
@@ -1533,5 +1533,5 @@
         self.state.disp_box= n
         
-        self._undo.Enable(True)
+        #self._undo.Enable(True)
         event = PageInfoEvent(page = self)
         wx.PostEvent(self.parent, event)
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 5582a9f16c395e475cbfd2f90464f256ebd00815)
+++ sansview/perspectives/fitting/fitpage.py	(revision 3a37fe012dd867e2e9b7f476895d65c97fc3bc6b)
@@ -663,5 +663,5 @@
        
         if event !=None:
-            self._undo.Enable(True)
+            #self._undo.Enable(True)
             ## post state to fit panel
             event = PageInfoEvent(page = self)
@@ -698,5 +698,5 @@
         ## new state posted
         if self.state_change:
-            self._undo.Enable(True)
+            #self._undo.Enable(True)
             event = PageInfoEvent(page = self)
             wx.PostEvent(self.parent, event)
@@ -719,5 +719,5 @@
             ## new state posted
             if self.state_change:
-                self._undo.Enable(True)
+                #self._undo.Enable(True)
                 event = PageInfoEvent(page = self)
                 wx.PostEvent(self.parent, event)
@@ -751,5 +751,5 @@
         ## new state posted
         if self.state_change:
-            self._undo.Enable(True)
+            #self._undo.Enable(True)
             event = PageInfoEvent(page = self)
             wx.PostEvent(self.parent, event)
@@ -774,6 +774,6 @@
             reset the state
         """
-        if first:
-            self._undo.Enable(False)
+        #if first:
+        #    self._undo.Enable(False)
            
         self.reset_page_helper(state)
@@ -1079,5 +1079,5 @@
         #self.save_current_state()  
         if event !=None:
-            self._undo.Enable(True)
+            #self._undo.Enable(True)
             ## post state to fit panel
             event = PageInfoEvent(page = self)
@@ -1126,5 +1126,5 @@
         #self.save_current_state()
         if event !=None:
-            self._undo.Enable(True)
+            #self._undo.Enable(True)
             ## post state to fit panel
             event = PageInfoEvent(page = self)
Index: sansview/perspectives/fitting/modelpage.py
===================================================================
--- sansview/perspectives/fitting/modelpage.py	(revision 08ba57d840c330a219757ee06c2529ac1d31e374)
+++ sansview/perspectives/fitting/modelpage.py	(revision 3a37fe012dd867e2e9b7f476895d65c97fc3bc6b)
@@ -331,5 +331,5 @@
         self.Layout()
         ## post state to fit panel
-        self._undo.Enable(True)
+        #self._undo.Enable(True)
         event = PageInfoEvent(page = self)
         wx.PostEvent(self.parent, event)
@@ -365,5 +365,5 @@
        
         ## post state to fit panel
-        self._undo.Enable(True)
+        #self._undo.Enable(True)
         event = PageInfoEvent(page = self)
         wx.PostEvent(self.parent, event)               
